[New-bugs-announce] [issue7064] Python 2.6.3 / setuptools 0.6c9: extension module builds fail with KeyError

Ned Deily report at bugs.python.org
Mon Oct 5 13:28:35 CEST 2009

New submission from Ned Deily <nad at acm.org>:

Due to a change in distutils released with Python 2.6.3, packages that 
use setuptools (version 0.6c9, as of this writing), or the easy_install 
command, to build C extension modules fail with a cryptic message ending 
... .egg/setuptools/command/build_ext.py", line 85, in get_ext_filename 
ext = self.ext_map[fullname] KeyError: <module_name>

Among the packages known to be affected include lxml, zope-interface, 
jinja2, and, hence, packages dependent on these packages (e.g. sphinx, 
twisted, etc.).

The issue is described in greater detail in the Distribute project 

The solution there was to modify Distribute, a fork of setuptools, to 
accommodate the change in distutils.

An issue has been opened on the setuptools tracker for this problem:

A discussion on the distutils-sig mailing list starts here:

The distutils change forces affected users to either:
(1) migrate from setuptools to Distribute, which can generally done by
    simply running:
          easy_install distribute
(2) avoid upgrading to 2.6.3 until a fix for setuptools is released
    (or patch setuptools themselves)
(3) patch or downgrade distutils to restore the previous behavior

The primary purpose of this issue is to serve as a placeholder for users 
searching the Python issue tracker for this failure symptom.

assignee: tarek
components: Distutils
messages: 93591
nosy: barry, ned.deily, tarek
severity: normal
status: open
title: Python 2.6.3 / setuptools 0.6c9: extension module builds fail with KeyError
versions: Python 2.6

Python tracker <report at bugs.python.org>

More information about the New-bugs-announce mailing list